from LOGS import LOGS
from LOGS.Entities import DatasetRequestParameter

# Connect to LOGS
logs = LOGS()

# Search for datasets with meta data that contain this string, including the parameters
searchTerm = "zg30"
results = logs.datasets(
    DatasetRequestParameter(searchTerm=searchTerm, searchTermIncludeParameters=True)
)

# Print the results
print(f'Found {results.count} datasets matching the search term "{searchTerm}":')
print("-" * 70)

for d in results:
    print(f"Dataset: {d.id} - {d.name}")
